import { IKeyword, MultiKeywordsHighlighterConfig } from './core';
import * as i0 from "@angular/core";
export declare class NgxMultiKeywordsHighlighterService {
    private readonly document;
    private multiKeywordsHighlighterConfig;
    localKeywords$: import("@angular/core").WritableSignal<IKeyword[]>;
    highlightedStatus$: import("@angular/core").WritableSignal<boolean>;
    keywordSequence$: import("@angular/core").WritableSignal<number>;
    constructor(document: Document, multiKeywordsHighlighterConfig: Partial<MultiKeywordsHighlighterConfig>);
    get config(): MultiKeywordsHighlighterConfig;
    get localKeywords(): IKeyword[];
    get highlightedStatusText(): string;
    get isHighlight(): boolean;
    get rootNode(): Element;
    /**
     * Toggle Highlight Status
     */
    toggleHighlightStatus(status: boolean): void;
    /**
     * Add Keyword
     */
    addKeyword(keyword: IKeyword): void;
    /**
     * Check keyword is not empty and not duplicated
     */
    isValidKeyword(keyword: IKeyword): boolean;
    /**
     * Check keyword is not empty
     */
    isEmpty(keyword: IKeyword): boolean;
    /**
     * Check keyword is not duplicated
     */
    isDuplicated(keyword: IKeyword): boolean;
    /**
     * Remove a Keyword
     */
    removeKeyword(keyword: IKeyword): void;
    /**
     * Toggle Highlighter and highlight keywords or de-highlight keywords
     */
    toggleHighlighter(): void;
    /**
     * Highlight all keywords
     */
    hightlightAllKeywords(): void;
    /**
     * De-highlight all keywords
     */
    deHightlightAllKeywords(): void;
    /**
     * Highlight a single keyword
     */
    hightlightKeyword(keyword: IKeyword): void;
    createTreeWorker(rootNode: Node): TreeWalker;
    /**
     * Create Highlight Elements
     */
    createHighlightElements(keywordParts: string[], keyword: IKeyword): (Text | HTMLSpanElement)[];
    /**
     * De-highlight a single keyword
     */
    deHightlightKeyword(keyword: IKeyword): void;
    /**
     * Check the input keyword is match with node text content
     */
    isMatchedKeyword(highlightedKeyword: string, keyword: IKeyword): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxMultiKeywordsHighlighterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxMultiKeywordsHighlighterService>;
}
